package com.tidecloud.dataacceptance.entity;

import java.io.Serializable;
import java.util.List;

/**   
 * @author: chudk 
 * @date:   2017年11月16日 下午12:56:59   
 */
public class CanDevice implements Serializable{
    private static final long serialVersionUID = -3871197404771666041L;
    
    private String deviceId;
    
    private Integer date;
    
    private Integer turnSpeed;
    /**
     * 扭矩
     */
    private Integer torque;
    /**
     * 蓄电池电压
     */
    private Integer voltage;
    /**
     * 发动机油温
     */
    private Integer oilTemperture;
    /**
     * 机油压力
     */
    private Integer engineOilPressure;
    /**
     * 大气压力
     */
    private Integer airPressure;
    /**
     * 进气
     */
    private Integer airInTemperture;
    /**
     * can车速
     */
    private Integer canSpeed;
    /**
     * 冷却剂温度
     */
    private Integer coolantTemperture;
    /**
     * 油耗
     */
    private Integer oil;
    /**
     * 累计运行时间
     */
    private Integer runTime;
    /**
     * DM1故障码
     */
    private Integer dm1FaultCode;
    /**
     * 
     */
    private Integer transientOil;
    public String getDeviceId() {
        return deviceId;
    }
    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }
    public Integer getDate() {
        return date;
    }
    public void setDate(Integer date) {
        this.date = date;
    }
    public Integer getTurnSpeed() {
        return turnSpeed;
    }
    public void setTurnSpeed(Integer turnSpeed) {
        this.turnSpeed = turnSpeed;
    }
    public Integer getTorque() {
        return torque;
    }
    public void setTorque(Integer torque) {
        this.torque = torque;
    }
    public Integer getVoltage() {
        return voltage;
    }
    public void setVoltage(Integer voltage) {
        this.voltage = voltage;
    }
    public Integer getOilTemperture() {
        return oilTemperture;
    }
    public void setOilTemperture(Integer oilTemperture) {
        this.oilTemperture = oilTemperture;
    }
    public Integer getEngineOilPressure() {
        return engineOilPressure;
    }
    public void setEngineOilPressure(Integer engineOilPressure) {
        this.engineOilPressure = engineOilPressure;
    }
    public Integer getAirPressure() {
        return airPressure;
    }
    public void setAirPressure(Integer airPressure) {
        this.airPressure = airPressure;
    }
    public Integer getAirInTemperture() {
        return airInTemperture;
    }
    public void setAirInTemperture(Integer airInTemperture) {
        this.airInTemperture = airInTemperture;
    }
    public Integer getCanSpeed() {
        return canSpeed;
    }
    public void setCanSpeed(Integer canSpeed) {
        this.canSpeed = canSpeed;
    }
    public Integer getCoolantTemperture() {
        return coolantTemperture;
    }
    public void setCoolantTemperture(Integer coolantTemperture) {
        this.coolantTemperture = coolantTemperture;
    }
    public Integer getOil() {
        return oil;
    }
    public void setOil(Integer oil) {
        this.oil = oil;
    }
    public Integer getRunTime() {
        return runTime;
    }
    public void setRunTime(Integer runTime) {
        this.runTime = runTime;
    }
    public Integer getDm1FaultCode() {
        return dm1FaultCode;
    }
    public void setDm1FaultCode(Integer dm1FaultCode) {
        this.dm1FaultCode = dm1FaultCode;
    }
    public Integer getTransientOil() {
        return transientOil;
    }
    public void setTransientOil(Integer transientOil) {
        this.transientOil = transientOil;
    }
    
    public static String buildCanDeviceStr(CanDevice canDevice){
        StringBuilder stringBuilder = new StringBuilder();
        //[1]:设备号 [2]:时间戳 [3]:转速 [4]:蓄电池电压 [5]:发动机油温 [6]:机油压力 [7]:大气压力 [8]:进气 [9]:can车速 [10]:冷却剂温度 [11]:油耗 [12]:累计运行时间
        //[13]:DM1故障码 [14]:瞬时油耗
        stringBuilder.append(handleEmptyValue(canDevice.getDeviceId())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getDate())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getTurnSpeed())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getVoltage())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getOilTemperture())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getEngineOilPressure())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getAirPressure())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getAirInTemperture())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getCanSpeed())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getCoolantTemperture())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getOil())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getRunTime())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getDm1FaultCode())).append(",");
        stringBuilder.append(handleEmptyValue(canDevice.getTransientOil())).append(",");
        return stringBuilder.toString();
    }
    
    public static String handleEmptyValue(Object value){
        if (value == null) {
            return "";
        }else {
            return String.valueOf(value);
        }
    }
}
